package ru.ulstu.extractor.rule.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import ru.ulstu.extractor.rule.service.FuzzyInferenceService;
import springfox.documentation.annotations.ApiIgnore;

import static ru.ulstu.extractor.core.Route.RECOMMENDATIONS;

@Controller
@ApiIgnore
public class RecommendationController {
    private final FuzzyInferenceService fuzzyInferenceService;

    public RecommendationController(FuzzyInferenceService fuzzyInferenceService) {
        this.fuzzyInferenceService = fuzzyInferenceService;
    }

    @GetMapping(RECOMMENDATIONS)
    public String getRecommendations(Model model) {
        model.addAttribute("recommendations", fuzzyInferenceService.run());
        return RECOMMENDATIONS;
    }
}
